Subject: Re: [PATCH net-next v2 7/8] ethtool: remove the comments that are not gonna be generated

From: Jakub Kicinski <[email-masked]>
Date: Fri, 15 Nov 2024 15:28:40 -0800

On Fri, 15 Nov 2024 15:03:50 -0800 Stanislav Fomichev wrote:
> > > Absolutely, I did port these (and the rest of the comments that I removed)
> > > over as doc: (see patch 4).  
> > 
> > Ah, I was looking for them re-appearing in patch 8. All good then.  
> 
> AFAICT, only enum docs are rendered. We don't have support for the rest.
> I can try to follow up separately..

Right but they will get rendered as HTML in
https://docs.kernel.org/next/networking/netlink_spec/ethtool.html

Up to you if you want to follow up, I think I mostly added 
the inline enum docs for the benefit of DPLL, because those
guys were adding a family at the same time the specs were
first merged, and I wanted to match what they had.
No strong opinion if uAPI headers need to duplicate doc info 
or HTML + reading YAML directly is enough.